Update Chatbot Settings - Advanced
curl --request PATCH \
--url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/advanced \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"creativity": "conservative",
"temperature": 1,
"topK": 3,
"webhookUrl": "https://example.com",
"webhookToken": "abc123"
}
'import requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/advanced"
payload = {
"creativity": "conservative",
"temperature": 1,
"topK": 3,
"webhookUrl": "https://example.com",
"webhookToken": "abc123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
creativity: 'conservative',
temperature: 1,
topK: 3,
webhookUrl: 'https://example.com',
webhookToken: 'abc123'
})
};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/advanced', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Updated advanced settings of the chatbot successfully",
"data": {}
}Settings
Update Chatbot Settings - Advanced
Update advanced settings of the chatbot
PATCH
/
v0
/
chatbots
/
{chatbotId}
/
settings
/
advanced
Update Chatbot Settings - Advanced
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Id of the chatbot
Body
application/json
Request body to update advanced settings of the chatbot
Request Body
Options of the creativity for the chatbot
Available options:
restricted, conservative, creative, custom Creativity meter of the chatbot. This is valid only when creativity of the chatbot is custom
Required range:
0 <= x <= 2Must be a multiple of 0.01Number of relevant chunks to be fetched for answering the question
Required range:
1 <= x <= 50Must be a multiple of 1All messages are sent to this global webhook url if webhook url is not configured at thread level
This is the global webhook token that is sent in header in the calls made to the above webhook url for all messages if token is not configured at thread level
Was this page helpful?